

# 
# Copyright 1999-2006 University of Chicago
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 

eval_path()
{
    _pathval="$1"
    _old_pathval=""

    while test "$_pathval" != "$_old_pathval"; do
        _old_pathval="$_pathval"
        eval _pathval="$_pathval"
    done
    echo "$_pathval"
}

if test -n "${GLOBUS_LOCATION}" ; then
    prefix="${GLOBUS_LOCATION}"
else
    prefix='/usr/i686-pc-mingw32/sys-root/mingw'
fi

exec_prefix="`eval_path /usr/i686-pc-mingw32/sys-root/mingw`"
sbindir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/sbin`"
bindir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/bin`"
libdir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/lib`"
includedir="`eval_path ${prefix}/include/globus`"
datarootdir="`eval_path ${prefix}/share`"
datadir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/share`"
libexecdir="`eval_path ${datadir}/globus`"
sysconfdir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/etc`"
sharedstatedir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/com`"
localstatedir="`eval_path /usr/i686-pc-mingw32/sys-root/mingw/var`"
aclocaldir="`eval_path ${datadir}/globus/aclocal`"

if test -z "$GLOBUS_SH_VARIABLES_SET" ; then
    
    . ${libexecdir}/globus-sh-tools-vars.sh
    
    # export all commands:

    for _var in `set|${GLOBUS_SH_GREP-grep} "^GLOBUS_SH"| \
        ${GLOBUS_SH_SED-sed} -n '/^GLOBUS_SH/s/=.*$//p' `
    do
        export ${_var}
    done
    GLOBUS_SH_VARIABLES_SET="Y"
    export GLOBUS_SH_VARIABLES_SET


    # end of config file
fi
